summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/actioncable/Manifest1
-rw-r--r--dev-ruby/actioncable/actioncable-7.0.5.ebuild46
-rw-r--r--dev-ruby/actionmailbox/Manifest1
-rw-r--r--dev-ruby/actionmailbox/actionmailbox-7.0.5.ebuild64
-rw-r--r--dev-ruby/actionmailer/Manifest1
-rw-r--r--dev-ruby/actionmailer/actionmailer-7.0.5.ebuild46
-rw-r--r--dev-ruby/actionpack/Manifest1
-rw-r--r--dev-ruby/actionpack/actionpack-7.0.5.ebuild70
-rw-r--r--dev-ruby/actiontext/Manifest1
-rw-r--r--dev-ruby/actiontext/actiontext-7.0.5.ebuild56
-rw-r--r--dev-ruby/actionview/Manifest1
-rw-r--r--dev-ruby/actionview/actionview-7.0.5.ebuild71
-rw-r--r--dev-ruby/activejob/Manifest1
-rw-r--r--dev-ruby/activejob/activejob-7.0.5.ebuild49
-rw-r--r--dev-ruby/activeldap/activeldap-6.1.0.ebuild38
-rw-r--r--dev-ruby/activemodel/Manifest1
-rw-r--r--dev-ruby/activemodel/activemodel-7.0.5.ebuild43
-rw-r--r--dev-ruby/activerecord/Manifest1
-rw-r--r--dev-ruby/activerecord/activerecord-7.0.5.ebuild87
-rw-r--r--dev-ruby/activestorage/Manifest1
-rw-r--r--dev-ruby/activestorage/activestorage-7.0.5.ebuild68
-rw-r--r--dev-ruby/activesupport/Manifest1
-rw-r--r--dev-ruby/activesupport/activesupport-7.0.5.ebuild74
-rw-r--r--dev-ruby/aws-partitions/Manifest2
-rw-r--r--dev-ruby/aws-partitions/aws-partitions-1.780.0.ebuild (renamed from dev-ruby/aws-partitions/aws-partitions-1.370.0.ebuild)6
-rw-r--r--dev-ruby/bunny/Manifest2
-rw-r--r--dev-ruby/bunny/bunny-2.22.0.ebuild (renamed from dev-ruby/bunny/bunny-2.20.1.ebuild)4
-rw-r--r--dev-ruby/gruff/Manifest1
-rw-r--r--dev-ruby/gruff/gruff-0.22.0.ebuild53
-rw-r--r--dev-ruby/pkg-config/Manifest1
-rw-r--r--dev-ruby/pkg-config/pkg-config-1.5.2.ebuild29
-rw-r--r--dev-ruby/rails/Manifest1
-rw-r--r--dev-ruby/rails/rails-7.0.5.ebuild39
-rw-r--r--dev-ruby/railties/Manifest1
-rw-r--r--dev-ruby/railties/railties-7.0.5.ebuild72
-rw-r--r--dev-ruby/rspec-memory/Manifest1
-rw-r--r--dev-ruby/rspec-memory/rspec-memory-1.0.4.ebuild30
-rw-r--r--dev-ruby/rspec-rails/Manifest2
-rw-r--r--dev-ruby/rspec-rails/rspec-rails-6.0.0.ebuild58
-rw-r--r--dev-ruby/rspec-rails/rspec-rails-6.0.1.ebuild58
-rw-r--r--dev-ruby/ruby-net-ldap/Manifest1
-rw-r--r--dev-ruby/ruby-net-ldap/ruby-net-ldap-0.17.1.ebuild35
42 files changed, 920 insertions, 199 deletions
diff --git a/dev-ruby/actioncable/Manifest b/dev-ruby/actioncable/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/actioncable/Manifest
+++ b/dev-ruby/actioncable/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9 SHA512 93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448
diff --git a/dev-ruby/actioncable/actioncable-7.0.5.ebuild b/dev-ruby/actioncable/actioncable-7.0.5.ebuild
new file mode 100644
index 000000000000..9fdb14783462
--- /dev/null
+++ b/dev-ruby/actioncable/actioncable-7.0.5.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Integrated WebSockets for Rails"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+# Tests require many new dependencies, skipping for now
+RESTRICT="test"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}:*
+ ~dev-ruby/activesupport-${PV}:*
+ dev-ruby/nio4r:2
+ >=dev-ruby/websocket-driver-0.6.1:*
+"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/railties-4.2.0
+ dev-ruby/test-unit:2
+ >=dev-ruby/mocha-0.14.0:0.14
+ )"
diff --git a/dev-ruby/actionmailbox/Manifest b/dev-ruby/actionmailbox/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/actionmailbox/Manifest
+++ b/dev-ruby/actionmailbox/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9 SHA512 93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448
diff --git a/dev-ruby/actionmailbox/actionmailbox-7.0.5.ebuild b/dev-ruby/actionmailbox/actionmailbox-7.0.5.ebuild
new file mode 100644
index 000000000000..154735d0dbfb
--- /dev/null
+++ b/dev-ruby/actionmailbox/actionmailbox-7.0.5.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="actionmailbox.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRAINSTALL="app config db"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Framework for designing email-service layers"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activejob-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/activestorage-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/mail-2.7.1:*
+ dev-ruby/net-imap
+ dev-ruby/net-pop
+ dev-ruby/net-smtp
+"
+
+ruby_add_bdepend "test? (
+ dev-ruby/bundler
+ dev-ruby/mail
+ <dev-ruby/minitest-5.16
+ dev-ruby/mocha
+ dev-ruby/propshaft
+ dev-ruby/rexml
+ dev-ruby/sqlite3
+ dev-ruby/webmock
+)"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql2\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|sass-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\|websocket-client-simple\|libxml-ruby\|redis\|blade\|aws-sdk\|google-cloud\|azure-storage\|selenium\|webdrivers\|webrick\|minitest-bisect\|minitest-retry\|minitest-reporters\|listen\|rack-cache\|rack-test\|capybara\|webpacker\|bootsnap\|dalli\|connection_pool\|terser\|cookiejar\|cgi\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/group :\(cable\|doc\|job\|rubocop\|storage\|test\)/,/^end/ s:^:#:' \
+ -i ../Gemfile || die
+ rm ../Gemfile.lock || die
+ sed -i -e '/byebug/ s:^:#:' test/test_helper.rb || die
+}
+
+each_ruby_prepare() {
+ sed -i -e 's:ruby:'${RUBY}':' test/dummy/bin/* || die
+}
diff --git a/dev-ruby/actionmailer/Manifest b/dev-ruby/actionmailer/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/actionmailer/Manifest
+++ b/dev-ruby/actionmailer/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9 SHA512 93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448
diff --git a/dev-ruby/actionmailer/actionmailer-7.0.5.ebuild b/dev-ruby/actionmailer/actionmailer-7.0.5.ebuild
new file mode 100644
index 000000000000..57e84dd9fe0a
--- /dev/null
+++ b/dev-ruby/actionmailer/actionmailer-7.0.5.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionmailer.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Framework for designing email-service layers"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activejob-${PV}
+ >=dev-ruby/mail-2.5.4:* =dev-ruby/mail-2*:*
+ dev-ruby/rails-dom-testing:2"
+
+ruby_add_bdepend "test? (
+ dev-ruby/mocha
+)"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+ sed -i -e '/\/load_paths/d' test/abstract_unit.rb || die "Unable to remove load paths"
+
+ # Avoid a test failing only on attachment ordering, since this is a
+ # security release.
+ sed -i -e '/adding inline attachments while rendering mail works/askip "gentoo: fails on ordering"' test/base_test.rb || die
+}
diff --git a/dev-ruby/actionpack/Manifest b/dev-ruby/actionpack/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/actionpack/Manifest
+++ b/dev-ruby/actionpack/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9 SHA512 93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448
diff --git a/dev-ruby/actionpack/actionpack-7.0.5.ebuild b/dev-ruby/actionpack/actionpack-7.0.5.ebuild
new file mode 100644
index 000000000000..fc6527ac8354
--- /dev/null
+++ b/dev-ruby/actionpack/actionpack-7.0.5.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Eases web-request routing, handling, and response"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/actionview-${PV}
+ dev-ruby/rack:2.2
+ >=dev-ruby/rack-test-0.6.3:*
+ >=dev-ruby/rails-html-sanitizer-1.2.0:1
+ dev-ruby/rails-dom-testing:2
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha:0.14
+ dev-ruby/bundler
+ >=dev-ruby/capybara-3.26
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/rack-cache-1.2:1.2
+ dev-ruby/selenium-webdriver:4
+ www-servers/puma
+ <dev-ruby/minitest-5.16:*
+ )"
+
+all_ruby_prepare() {
+ eapply "${FILESDIR}/actionpack-7.0.4-rack-test-2.patch"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ sed -i -e '3igem "rack", "<3"; gem "minitest", "<5.16"' test/abstract_unit.rb || die
+
+ # Use different timezone notation, this changed at some point due to an external dependency changing.
+ sed -e 's/-0000/GMT/' \
+ -i test/dispatch/response_test.rb test/dispatch/cookies_test.rb test/dispatch/session/cookie_store_test.rb || die
+
+ # Avoid tests that fail with a fixed cgi.rb version
+ sed -e '/test_session_store_with_all_domains/askip "Fails with fixed cgi.rb"' \
+ -i test/dispatch/session/cookie_store_test.rb || die
+}
diff --git a/dev-ruby/actiontext/Manifest b/dev-ruby/actiontext/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/actiontext/Manifest
+++ b/dev-ruby/actiontext/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9 SHA512 93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448
diff --git a/dev-ruby/actiontext/actiontext-7.0.5.ebuild b/dev-ruby/actiontext/actiontext-7.0.5.ebuild
new file mode 100644
index 000000000000..dfa65eb6e1c5
--- /dev/null
+++ b/dev-ruby/actiontext/actiontext-7.0.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="actiontext.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRAINSTALL="app db package.json"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Edit and display rich text in Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/activestorage-${PV}
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/globalid-0.6.0
+ >=dev-ruby/nokogiri-1.8.5
+"
+
+ruby_add_bdepend "test? (
+ dev-ruby/bundler
+ dev-ruby/mocha
+ dev-ruby/propshaft
+)"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql2\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|sass-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\|websocket-client-simple\|libxml-ruby\|redis\|blade\|aws-sdk\|google-cloud\|azure-storage\|selenium\|webpacker\|webrick\|webmock\|webdrivers\|minitest-bisect\|minitest-retry\|minitest-reporters\|listen\|rack-cache\|rack-test\|bootsnap\|capybara\|dalli\|connection_pool\|terser\|cookiejar\|cgi\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :\(cable\|doc\|rubocop\|storage\|test\)/,/^end/ s:^:#:' \
+ -i ../Gemfile || die
+ rm ../Gemfile.lock || die
+}
+
+each_ruby_prepare() {
+ sed -i -e 's:ruby:'${RUBY}':' test/dummy/bin/* || die
+}
diff --git a/dev-ruby/actionview/Manifest b/dev-ruby/actionview/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/actionview/Manifest
+++ b/dev-ruby/actionview/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9 SHA512 93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448
diff --git a/dev-ruby/actionview/actionview-7.0.5.ebuild b/dev-ruby/actionview/actionview-7.0.5.ebuild
new file mode 100644
index 000000000000..b246fe46b946
--- /dev/null
+++ b/dev-ruby/actionview/actionview-7.0.5.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple, battle-tested conventions and helpers for building web pages"
+HOMEPAGE="https://github.com/rails/rails/"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/builder-3.1:* =dev-ruby/builder-3*:*
+ >=dev-ruby/erubi-1.4:0
+ >=dev-ruby/rails-html-sanitizer-1.2.0:1
+ dev-ruby/rails-dom-testing:2
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/railties-${PV}
+ dev-ruby/sqlite3
+ <dev-ruby/minitest-5.16:*
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|rack-cache\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|mime-types\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Use working minitest version
+ sed -i -e '3igem "minitest", "<5.16"' test/abstract_unit.rb || die
+
+ # Fix loading of activerecord integration tests. This avoids loading
+ # activerecord twice and thus redefining constants leading to
+ # failures. Bug #719342
+ sed -e '/abstract_unit/arequire "active_record" ; require "active_record/fixtures"' \
+ -e '/defined/ s/FixtureSet/ActiveRecord::FixtureSet/' \
+ -i test/active_record_unit.rb || die
+
+ # Avoid test failing on capitalization difference
+ sed -e '/test_raise_arg_overrides_raise_config_option/askip "Capitalization difference"' \
+ -i test/template/translation_helper_test.rb || die
+}
diff --git a/dev-ruby/activejob/Manifest b/dev-ruby/activejob/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/activejob/Manifest
+++ b/dev-ruby/activejob/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9 SHA512 93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448
diff --git a/dev-ruby/activejob/activejob-7.0.5.ebuild b/dev-ruby/activejob/activejob-7.0.5.ebuild
new file mode 100644
index 000000000000..ce3637f56cb7
--- /dev/null
+++ b/dev-ruby/activejob/activejob-7.0.5.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Job framework with pluggable queues"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ >=dev-ruby/globalid-0.3.6
+"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/mocha
+ dev-ruby/zeitwerk
+ )"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ sed -i -e '/load_paths/d' test/helper.rb || die "Unable to remove load paths"
+
+ # Remove all currently unpackaged queues.
+ sed -i -e 's/que queue_classic resque sidekiq sneakers sucker_punch backburner//' \
+ -e 's/delayed_job//' Rakefile || die
+ sed -i -e '/SneakersAdapter/ s:^:#:' test/cases/exceptions_test.rb || die
+ rm -f test/cases/delayed_job_adapter_test.rb || die
+}
diff --git a/dev-ruby/activeldap/activeldap-6.1.0.ebuild b/dev-ruby/activeldap/activeldap-6.1.0.ebuild
deleted file mode 100644
index 2f27e7f46dc3..000000000000
--- a/dev-ruby/activeldap/activeldap-6.1.0.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby26 ruby27 ruby30"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="TODO doc/text/*"
-RUBY_FAKEGEM_EXTRAINSTALL="po"
-
-inherit ruby-fakegem
-
-MY_P="${P/ruby-/}"
-DESCRIPTION="ActiveLDAP provides an activerecord inspired object oriented interface to LDAP"
-HOMEPAGE="https://github.com/activeldap/activeldap"
-
-LICENSE="GPL-2"
-SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64"
-IUSE=""
-
-# Most tests require a live LDAP server to run.
-RESTRICT="test"
-
-ruby_add_rdepend "
- >=dev-ruby/activemodel-5.2.0:*
- dev-ruby/builder
- dev-ruby/locale
- dev-ruby/ruby-gettext
- dev-ruby/gettext_i18n_rails
- || ( dev-ruby/ruby-net-ldap >=dev-ruby/ruby-ldap-0.8.2 )"
-
-all_ruby_install() {
- all_fakegem_install
-
- dodoc doc/text/*
- dodoc -r examples
-}
diff --git a/dev-ruby/activemodel/Manifest b/dev-ruby/activemodel/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/activemodel/Manifest
+++ b/dev-ruby/activemodel/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9 SHA512 93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448
diff --git a/dev-ruby/activemodel/activemodel-7.0.5.ebuild b/dev-ruby/activemodel/activemodel-7.0.5.ebuild
new file mode 100644
index 000000000000..4557e34ae486
--- /dev/null
+++ b/dev-ruby/activemodel/activemodel-7.0.5.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activemodel.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Toolkit for building modeling frameworks like Active Record and Active Resource"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}:*
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/railties-${PV}
+ dev-ruby/test-unit:2
+ dev-ruby/mocha
+ >=dev-ruby/bcrypt-ruby-3.1.7
+ <dev-ruby/minitest-5.16:*
+ )"
+
+all_ruby_prepare() {
+ # Set test environment to our hand.
+ sed -i -e '/load_paths/d' test/cases/helper.rb || die "Unable to remove load paths"
+}
diff --git a/dev-ruby/activerecord/Manifest b/dev-ruby/activerecord/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/activerecord/Manifest
+++ b/dev-ruby/activerecord/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9 SHA512 93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448
diff --git a/dev-ruby/activerecord/activerecord-7.0.5.ebuild b/dev-ruby/activerecord/activerecord-7.0.5.ebuild
new file mode 100644
index 000000000000..2768501d2c50
--- /dev/null
+++ b/dev-ruby/activerecord/activerecord-7.0.5.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+# this is not null so that the dependencies will actually be filled
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
+HOMEPAGE="https://github.com/rails/rails/"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="mysql postgres sqlite"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "~dev-ruby/activesupport-${PV}
+ ~dev-ruby/activemodel-${PV}
+ sqlite? ( >=dev-ruby/sqlite3-1.4 )
+ mysql? ( dev-ruby/mysql2:0.5 )
+ postgres? ( >=dev-ruby/pg-1.1:1 )"
+
+ruby_add_bdepend "
+ test? (
+ dev-ruby/benchmark-ips
+ dev-ruby/bundler
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/sqlite3-1.4.0
+ dev-ruby/mocha
+ <dev-ruby/minitest-5.16:*
+ )"
+
+DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ rm ../Gemfile.lock || die
+ sed -i -e "/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' ../railties/railties.gemspec || die
+ sed -e '/bcrypt/ s/3.0.0/3.0/' \
+ -i ../Gemfile || die
+ sed -i -e '/byebug/ s:^:#:' test/cases/base_prevent_writes_test.rb || die
+
+ # Add back json in the Gemfile because we dropped some dependencies
+ # earlier that implicitly required it.
+ sed -i -e '$agem "json"' ../Gemfile || die
+
+ sed -i -e '3igem "rack", "<3"; gem "minitest", "<5.16"' test/cases/helper.rb || die
+
+ # Avoid single tests using mysql or postgres dependencies.
+ rm test/cases/invalid_connection_test.rb || die
+ sed -e '/test_switching_connections_with_database_url/askip "postgres"' \
+ -i test/cases/connection_adapters/{,legacy_}connection_handlers_multi_db_test.rb || die
+
+ # Avoid failing test that makes bad assumptions on database state.
+ sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^ end/ s:^:#:' \
+ test/cases/associations/has_many_associations_test.rb
+
+ # Avoid test failing to bind limit length in favor of security release
+ sed -i -e '/test_too_many_binds/askip "Fails on Gentoo"' test/cases/bind_parameter_test.rb || die
+
+ # Avoid test failing related to rubygems
+ sed -i -e '/test_generates_absolute_path_with_given_root/askip "rubygems actiovation monitor"' test/cases/tasks/sqlite_rake_test.rb || die
+}
+
+each_ruby_test() {
+ if use sqlite; then
+ ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
+ fi
+}
diff --git a/dev-ruby/activestorage/Manifest b/dev-ruby/activestorage/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/activestorage/Manifest
+++ b/dev-ruby/activestorage/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9 SHA512 93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448
diff --git a/dev-ruby/activestorage/activestorage-7.0.5.ebuild b/dev-ruby/activestorage/activestorage-7.0.5.ebuild
new file mode 100644
index 000000000000..0ff19b550a45
--- /dev/null
+++ b/dev-ruby/activestorage/activestorage-7.0.5.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="activestorage.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app config db"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Attach cloud and local files in Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+DEPEND+=" test? ( app-text/mupdf media-gfx/imagemagick[jpeg,png,tiff] media-video/ffmpeg app-text/poppler[utils] ) "
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}:*
+ ~dev-ruby/activejob-${PV}:*
+ ~dev-ruby/activerecord-${PV}:*
+ ~dev-ruby/activesupport-${PV}:*
+ dev-ruby/marcel:1.0
+ >=dev-ruby/mini_mime-1.1.0
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/image_processing-1.2:0
+ =dev-ruby/minitest-5.15*:*
+ dev-ruby/mini_magick
+ dev-ruby/mocha
+ dev-ruby/rake
+ dev-ruby/sprockets-rails
+ dev-ruby/sqlite3
+ )"
+
+all_ruby_prepare() {
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|aws-sdk-s3\|aws-sdk-sns\|google-cloud-storage\|azure-storage\|blade\|bootsnap\|hiredis\|qunit-selenium\|chromedriver-helper\|redis\|rb-inotify\|stackprof\|websocket-client-simple\|libxml-ruby\|sass-rails\|capybara\|rack-cache\|selenium\|dalli\|listen\|connection_pool\|puma\|mysql2\|webdrivers\|webpacker\|rexml\|webmock\|webrick\|propshaft\|sprockets-export\|rack-test\|terser\|cookiejar\|cgi\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/group :\(doc\|job\|rubocop\|test\)/,/^end/ s:^:#:' \
+ -i ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Use mini_magick since vips is not packaged on Gentoo
+ sed -i -e '/mini_magick/aActiveStorage.variant_processor = :mini_magick' test/test_helper.rb || die
+ # Avoid vips-specific tests
+ sed -e '/\(resized and monochrome variation of JPEG blob\|monochrome with default variant_processor\|disabled variation of JPEG blob\)/askip "No vips support"' \
+ -i test/models/variant_test.rb || die
+}
diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9 SHA512 93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448
diff --git a/dev-ruby/activesupport/activesupport-7.0.5.ebuild b/dev-ruby/activesupport/activesupport-7.0.5.ebuild
new file mode 100644
index 000000000000..1e261e644d4e
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-7.0.5.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.0.2:1
+ >=dev-ruby/i18n-1.6:1
+ dev-ruby/tzinfo:2
+ >=dev-ruby/minitest-5.1
+"
+
+# memcache-client, nokogiri, builder, and redis are not strictly needed,
+# but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-3.0.1
+ dev-ruby/connection_pool
+ >=dev-ruby/nokogiri-1.8.1
+ >=dev-ruby/builder-3.1.0
+ >=dev-ruby/listen-3.3:3
+ dev-ruby/rack
+ dev-ruby/rexml
+ dev-ruby/mocha
+ <dev-ruby/minitest-5.16:*
+ )"
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|sqlite\|websocket-client-simple\|\libxml-ruby\|bootsnap\|aws-sdk\|webmock\|capybara\|sass-rails\|selenium-webdriver\|webpacker\|webrick\|propshaft\|rack-test\|terser\|cgi\)/ s:^:#:" \
+ -e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+ -e '/group :\(doc\|rubocop\|job\|cable\|storage\|ujs\|test\|view\) do/,/^end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '5igem "builder"; gem "rack"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid test that depends on timezone
+ sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:' test/core_ext/duration_test.rb || die
+
+ # Avoid tests that seem to trigger race conditions.
+ rm -f test/evented_file_update_checker_test.rb || die
+
+ # Avoid test that generates filename that is too long
+ sed -i -e '/test_filename_max_size/askip "gentoo"' test/cache/stores/file_store_test.rb || die
+
+ # Avoid tests requiring a live redis running
+ rm -f test/cache/stores/redis_cache_store_test.rb || die
+ sed -i -e '/cache_stores:redis/ s:^:#:' Rakefile || die
+ sed -i -e '/test_redis_cache_store/askip "lacking keywords"' test/cache/cache_store_setting_test.rb || die
+}
diff --git a/dev-ruby/aws-partitions/Manifest b/dev-ruby/aws-partitions/Manifest
index 048ba6ae6267..35f35c06d37f 100644
--- a/dev-ruby/aws-partitions/Manifest
+++ b/dev-ruby/aws-partitions/Manifest
@@ -1,2 +1,2 @@
-DIST aws-partitions-1.370.0.gem 22528 BLAKE2B 504b25a41da2b948b00c3ea4b7e94a553ad77a471849d7e8d2d9a714860e9efce06c788dd22e6600b6885939987a1ea481dd0ef9f0e6c6ba9fa342ae24f4d627 SHA512 49bec442cad737c4781f759b7babef3d45daa49866135b4fb15aed9e248e737e95a589c0b17b86a6fe4e042c039fcdef7f2088e1eaf6738801fb314c71e0cc56
DIST aws-partitions-1.722.0.gem 54784 BLAKE2B 5fd08e9b1e246e5690b25676ec32e87a058a8d48d7659036c64a469e25751660e1ee6ea278dfe1f07115f5ad691368c4712b3a3a2a897776b870cf5966a092ba SHA512 8a1ffe81077ba2eb26abfc10916dcdc78466f3081a871fea196e86107dff3f1bf7c74fe274eaaee077e09c1842997ae66ca1e6466d7169bbbaae36fa33d378df
+DIST aws-partitions-1.780.0.gem 56832 BLAKE2B b56383ad200e4c34c7cbc66783de225241299b33746c21308c5d27c3055f1488ad4c0a1723cccc7f17b19ef02f43cd9fc639a36c69f997ca82cab14a2a98442e SHA512 96b4dfc64f45834ba65f6ec06cfdaaec4515315707c74c3940411ecfbb17d3260ccb1dbd3392881f61aac3bfade81f0e34336d0219a3220b18f3889fa19ba5d7
diff --git a/dev-ruby/aws-partitions/aws-partitions-1.370.0.ebuild b/dev-ruby/aws-partitions/aws-partitions-1.780.0.ebuild
index 6bc3494de56d..01318e17431d 100644
--- a/dev-ruby/aws-partitions/aws-partitions-1.370.0.ebuild
+++ b/dev-ruby/aws-partitions/aws-partitions-1.780.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-USE_RUBY="ruby27 ruby30"
+USE_RUBY="ruby30 ruby31 ruby32"
# Not packaged and upstream not tagged.
RUBY_FAKEGEM_RECIPE_TEST="none"
diff --git a/dev-ruby/bunny/Manifest b/dev-ruby/bunny/Manifest
index 7f7cb1fa9477..4d0ae7c0681f 100644
--- a/dev-ruby/bunny/Manifest
+++ b/dev-ruby/bunny/Manifest
@@ -1,3 +1,3 @@
-DIST bunny-2.20.1.tar.gz 264063 BLAKE2B 03f27d9a7be3995dece690531f2fa4f6e26fdb1b95b8e0c08ddff42ae6b9bf34f149183e993f2357d0e4c91d81f3f2d50af4e693774cfa9033fbd5737a4ee5d1 SHA512 bd07aa86e68d4777860650c817181bb5c772533e1645d451ca0bc7172bf93510e79f8fe46d15cf814ee5f239f2fc361fdef1b20a0ff5194b52b7f1ed953c888e
DIST bunny-2.20.3.tar.gz 264485 BLAKE2B 593890c68f3be6060e9b77001fd912b83541490d023a22b9699735751a2bed5226b6a2925a15b42dca45c7c1094014382f583923d39ad94bc45c0a7a5b55704f SHA512 fa9d1a0b53875caf798f9422c5f964213b51b11c248b93563b51e9b4d5cfd9ce1e3521df6d7e2442482b5e39afe0d70e9a87564f3189cc3d3debb11014b66fb5
DIST bunny-2.21.0.tar.gz 264687 BLAKE2B f0d7486b3e2b4b17c7e617797f7815828379bef1151a008c0e718ef3560e6386b5d1f6ff4055c5af53a2f045a56955249c2377070c7ef2566de0166a9e7b9827 SHA512 d83e28872bc925df51c8438043f39d75fee5288a9777ea27e2733379661806443bb641cd4c135bce2edd450015c7e7ae2dd572fd1d3d60327c4d15fc685c2a37
+DIST bunny-2.22.0.tar.gz 264915 BLAKE2B e6be01665f764637912c6a94429b57f4dbafd57d530210592e6e7155bdf355e86c16704f84ba186393995517a3225c1b47a380a39fe040b9e17c5cbf7cade507 SHA512 1af6b3cc8de1ac3230dd57e5845ed2e06b103e1da179bf91b754e86685113813e6acf3d766e52be0e7e51e9ddd255969f1c045abbaff0d2f2f4a479b1d832314
diff --git a/dev-ruby/bunny/bunny-2.20.1.ebuild b/dev-ruby/bunny/bunny-2.22.0.ebuild
index 0af75b29bd43..f4b63d206dcb 100644
--- a/dev-ruby/bunny/bunny-2.20.1.ebuild
+++ b/dev-ruby/bunny/bunny-2.22.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby27 ruby30"
+USE_RUBY="ruby30 ruby31"
# Tests require a live AMQP server.
RUBY_FAKEGEM_TASK_TEST=""
diff --git a/dev-ruby/gruff/Manifest b/dev-ruby/gruff/Manifest
index ec61ff658e71..39bf11ba1906 100644
--- a/dev-ruby/gruff/Manifest
+++ b/dev-ruby/gruff/Manifest
@@ -1,2 +1,3 @@
DIST gruff-0.19.0.tar.gz 25770103 BLAKE2B 6f1d45e03a4ca0a022c1f7313114bb87a06dc2265f1500fea703b2bb4dbbdba21336a63e4a10b166696baa37eb034977c7606817284f8abc06f8ce5bb4a4d6c2 SHA512 5028429c6b2d3551964190956cc5ce7e234b14aef94f8687fc9ac52aa810d98c9018ce5f1dfc04756936dfa47665d3566d53ec300523ca5786693ac99740d81f
DIST gruff-0.21.0.tar.gz 25770436 BLAKE2B a474c1f9a18d5b87c21e20921db8529d36c6d92d0b253b8df0c8242fb0018d222501a9489804112a819a17ecd50b5ef38c22d613560e048bcf2614e88b0fdb49 SHA512 9e189b5c5a23294045109888dc3322c34408f895088f113b77a3f2e577ef9bd359be450a96d709feb91c11afbb1b77a8c3d8d78f13f4515b74484b44c6cc9834
+DIST gruff-0.22.0.tar.gz 25772970 BLAKE2B 3a56d03f0e9a53decfa7df3b6b5cc867cfe584548fe7b1435babde1486414bc97c4a46ad574692848df6483d01592e88d22ef64eb045f271df9c1e2f7c821fa0 SHA512 6d16f8a308289453eb4a51110946aca702c725e59a3ffb8c128610cbca7f521ae5cdea64ceaa0a3382b86fe2f1de74b2d33d2a49fa033728f2f5cbc474222758
diff --git a/dev-ruby/gruff/gruff-0.22.0.ebuild b/dev-ruby/gruff/gruff-0.22.0.ebuild
new file mode 100644
index 000000000000..338ac632306e
--- /dev/null
+++ b/dev-ruby/gruff/gruff-0.22.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL="assets rails_generators"
+
+RUBY_FAKEGEM_GEMSPEC="gruff.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Beautiful graphs for one or multiple datasets"
+HOMEPAGE="https://github.com/topfunky/gruff"
+SRC_URI="https://github.com/topfunky/gruff/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# imagemagick is an indirect dependency through rmagick. However, for
+# gruff to work properly imagemagick needs to be compiled with truetype
+# support and this cannot be expressed in the rmagick dependency. Tests
+# also require imagemagick to have jpeg and png support.
+DEPEND="${DEPEND} test? ( media-gfx/imagemagick[jpeg,png,truetype,webp] )"
+RDEPEND="${RDEPEND} media-gfx/imagemagick[truetype]"
+
+ruby_add_rdepend "dev-ruby/histogram >=dev-ruby/rmagick-4.2:*"
+ruby_add_bdepend "
+ test? (
+ dev-ruby/test-unit
+ )"
+
+all_ruby_prepare() {
+ sed -i -e '/\(reporters\|simplecov\)/I s:^:#:' test/gruff_test_case.rb || die
+ sed -i -e '2irequire "date"' test/test_scatter.rb || die
+
+ sed -e 's/git ls-files/find * -print/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ # Skip the image comparison checks since the images are not
+ # pixel-perfect identical, most likely due to the use of a slightly
+ # different font.
+ SKIP_CHECK=true ${RUBY} -Ilib:. -e "Dir['test/test_*.rb'].each{|f| require f}" || die
+}
diff --git a/dev-ruby/pkg-config/Manifest b/dev-ruby/pkg-config/Manifest
index c4d82fcff6f5..814965717c7a 100644
--- a/dev-ruby/pkg-config/Manifest
+++ b/dev-ruby/pkg-config/Manifest
@@ -1,2 +1,3 @@
DIST pkg-config-1.4.9.gem 22528 BLAKE2B 5b033292b56fd6cd163b611d3d16becb1489691ad348124234495333906eb19d92c994068a32416360248b641769f1da0aae777bf7372119d04ab9164cdd7b32 SHA512 b2052be243a6f9c9a96f76651f76460bbfd9d99fe5d1fa00f47683c659f2971ade525f5da5df49e214972f3cb1226d3212e134d44f1a3fcd5e0a8d253b281194
DIST pkg-config-1.5.1.gem 23040 BLAKE2B c814cabb2a57f9a40cd5b8112f0103a9aa7a4aeb10f2991ff23a846a98714d832c77ecb9bec9b3c884adf98496eb552451a6b98875a78921efdac229fc5a5e39 SHA512 972fdc1ed64adb66a388331e10c00648560abec8455727b804cb2fe9ce40dd9801dfc909116c1cc96b8617aa52873339a290c5d0775a88c30f2399566db557e6
+DIST pkg-config-1.5.2.gem 23040 BLAKE2B 32670e823980888b3cc679afa61cb71092b559ad12ab0cd4485ccc191353426af23f0007fd844cc8a71ad7c4c1c190587eb7643f19f68623ecad182270606141 SHA512 f4aa101ff6bbfce5bf23b6c83f61e186424c097f889e51fe337d158753fc8af26ee918bb509653ea70487a7d92a24b66cc96c1c0ea4bed2cfab5cd9380317679
diff --git a/dev-ruby/pkg-config/pkg-config-1.5.2.ebuild b/dev-ruby/pkg-config/pkg-config-1.5.2.ebuild
new file mode 100644
index 000000000000..d553cc41ba97
--- /dev/null
+++ b/dev-ruby/pkg-config/pkg-config-1.5.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc NEWS"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A pkg-config implementation by Ruby"
+HOMEPAGE="https://github.com/ruby-gnome/pkg-config"
+LICENSE="|| ( LGPL-2 LGPL-2.1 LGPL-3 )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+IUSE="test"
+
+ruby_add_bdepend "test? ( >=dev-ruby/test-unit-2.5.1-r1 )"
+# this is used for testing
+DEPEND+=" test? ( x11-libs/cairo )"
+
+all_ruby_prepare() {
+ sed -e '/test_cflags/aomit "Fragile on Gentoo"' -i test/test-pkg-config.rb || die
+}
+
+each_ruby_test() {
+ ruby-ng_testrb-2 -Ilib test/test-pkg-config.rb || die
+}
diff --git a/dev-ruby/rails/Manifest b/dev-ruby/rails/Manifest
index e9cd3f920263..878554f8c9c9 100644
--- a/dev-ruby/rails/Manifest
+++ b/dev-ruby/rails/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.gem 6656 BLAKE2B 96e80633f3ea9856703cb6798833fb14b45caefa9699
DIST rails-6.1.7.2.gem 6656 BLAKE2B 149fca7e8a48c952608cbbfd9a91e37e350dbc46f96c72e6306d3828e303084ff3e7be7a5495d90375f0ef9a15a86ee0d616301143b23e5e372d4205d593d0c0 SHA512 28ca21666905462d7663aa5fb0ea4e5b2058235b3243408ecf474073e48eb97473e94367323df5476b159912510d96262e92fb5b2791b995180c6a7adf59ea44
DIST rails-6.1.7.3.gem 6656 BLAKE2B 0fefce9e1785afd14d98b53ba8b998d9a3d9a50dc1b9d77ec8478d20b1e45b46a2e74aea6cc988892cd544fccef23f4235fc1cad7611f3fa9072ad08cdd3f3f0 SHA512 ff4b22af73e72ecdfb6ae9c6ae060d2881eb74456ba5cdd81b27a21e55193dd593f4a11ed1b6a22af49e5d7cf3b9c921cfa0e03c8984da7fa5975ea7696184b0
DIST rails-7.0.4.3.gem 6656 BLAKE2B d8d9e29705337fc21c10c6687061a17c594d3ddbf67c9d8b46dd6aca1e4d3e265086041b9b5bfce10835f4cb537c247ffbf16b2a4314f2ef5d149d2f2ede09b3 SHA512 89f69cc2a7c7081f60417186294843798cfda0b3a12b3bac64357fd1f28f03ea76f456b41c63e5d1506e965d4d04a40c1563803e6d44c02b768e1627c665e554
+DIST rails-7.0.5.gem 7168 BLAKE2B c58cef18e287f0e27a59a2dc57118e61332bd750383a5ff4c85c053eae31b9f1dea24f63abe23b5503a8069befca748f9fc8879777936167a7db77b8663f48be SHA512 c55c2c969eefd3f59394aba4d1a1e1138049e8866d7a8dca8c4838efcc8bb94402e526f2e2fb7599ecff9b2a0142294dcc5fd5c0c41967fc8dc619b3ebfa2ae4
diff --git a/dev-ruby/rails/rails-7.0.5.ebuild b/dev-ruby/rails/rails-7.0.5.ebuild
new file mode 100644
index 000000000000..de9bdd659b13
--- /dev/null
+++ b/dev-ruby/rails/rails-7.0.5.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="ruby on rails is a web-application and persistence framework"
+HOMEPAGE="https://rubyonrails.org"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+IUSE=""
+
+ruby_add_rdepend "
+ ~dev-ruby/actioncable-${PV}
+ ~dev-ruby/actionmailbox-${PV}
+ ~dev-ruby/actionmailer-${PV}
+ ~dev-ruby/actionpack-${PV}
+ ~dev-ruby/actiontext-${PV}
+ ~dev-ruby/actionview-${PV}
+ ~dev-ruby/activejob-${PV}
+ ~dev-ruby/activemodel-${PV}
+ ~dev-ruby/activerecord-${PV}
+ ~dev-ruby/activestorage-${PV}
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/railties-${PV}
+ >=dev-ruby/bundler-1.15.0:*
+ >=dev-ruby/sprockets-rails-2.0.0:*
+"
diff --git a/dev-ruby/railties/Manifest b/dev-ruby/railties/Manifest
index ce69dd56108d..56661e10373b 100644
--- a/dev-ruby/railties/Manifest
+++ b/dev-ruby/railties/Manifest
@@ -2,3 +2,4 @@ DIST rails-6.0.6.1.tgz 18608328 BLAKE2B 10e6cb2d23acb75c95c25e2e6cc62de05c9c89f2
DIST rails-6.1.7.2.tgz 11037081 BLAKE2B 0004f4bc8b2370119cbe0f6a9133278ae78b1d274f040f08d18edd06696e6fcc609154a042c68b77e11893fbef83ec8eabd9f1e2c28920269189ee1352a0695a SHA512 f667904b0d3ffda3579e5046da3b36c242581bacf140966bf1dc59fc7ea91f34f4affc76b0d6cfad4b80f0332aeec5fc8ab35fb793fc935f1d1b4fe6d18ce1de
DIST rails-6.1.7.3.tgz 11038169 BLAKE2B 7e379b9ae3b63cb78638c1e0817ff40dc8aad79ba76b6d82310fbb4d6f5ef3dab4f252de9e49766143b828bfbce2ef7c9db3f108b5406708b61a83aeda47ea74 SHA512 fb84516a6cf370109bf45f2162161d23f375d7dc10249ed10200c74ec402129b07ac0e59bcde98a74eb499769a0cdd937af691edaabe44e061262d5510adc02e
DIST rails-7.0.4.3.tgz 11063764 BLAKE2B 389fd3a00bfff4ebda70cf5ec473942883048783b716ede1787a510d3b7b91f4e844dce4dde5ef643cb9611b1b3aa712f1ba5ebefb9e5a84e307a151b2e40bcf SHA512 2c817a0a58ae52f99686d8cd0de84f01e3d7ec05afc95d07910b3b5bf86d8162b06102893b2cbc14859b95a07eca6882a707956c87d437794697df7a18fa3c16
+DIST rails-7.0.5.tgz 11057290 BLAKE2B c9a2c34cc57f71a45023465796d18f769363713b3222dc67040e9d731055fe60856c4969a0fae305f99722e8f3a1aaee0f6cc0cc5e3e57949b756786f44560f9 SHA512 93f5d2f0e23ac318370ac15fdb4db935b9082232308fdc7bb99bca1b00e1b5127ddc805dd19512a2304921ff7b8a584c7b3d3ceb7cbd4cfd8dca31f518430448
diff --git a/dev-ruby/railties/railties-7.0.5.ebuild b/dev-ruby/railties/railties-7.0.5.ebuild
new file mode 100644
index 000000000000..0998d2a794dd
--- /dev/null
+++ b/dev-ruby/railties/railties-7.0.5.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_TASK_TEST="test:regular"
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="railties.gemspec"
+
+RUBY_FAKEGEM_BINDIR="exe"
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Tools for creating, working with, and running Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+# The test suite has many failures, most likely due to a mismatch in
+# exact dependencies or environment specifics. Needs further
+# investigation.
+RESTRICT="test"
+
+RDEPEND+=">=app-eselect/eselect-rails-0.25"
+
+ruby_add_rdepend "
+ ~dev-ruby/activesupport-${PV}
+ ~dev-ruby/actionpack-${PV}
+ dev-ruby/thor:1
+ >=dev-ruby/rake-12.2
+ dev-ruby/method_source
+ >=dev-ruby/zeitwerk-2.5:2
+"
+
+ruby_add_bdepend "
+ test? (
+ ~dev-ruby/actionview-${PV}
+ dev-ruby/mocha:0.14
+ )"
+
+all_ruby_prepare() {
+ rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+ sed -i -e '/load_paths/d' test/abstract_unit.rb || die "Unable to remove load paths"
+ sed -i -e '1igem "minitest", "~>4.0"' test/abstract_unit.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ ruby_fakegem_binwrapper rails rails-${PV}
+}
+
+pkg_postinst() {
+ elog "To select between slots of rails, use:"
+ elog "\teselect rails"
+
+ eselect rails update
+}
+
+pkg_postrm() {
+ eselect rails update
+}
diff --git a/dev-ruby/rspec-memory/Manifest b/dev-ruby/rspec-memory/Manifest
index ade882afc076..713162e5691d 100644
--- a/dev-ruby/rspec-memory/Manifest
+++ b/dev-ruby/rspec-memory/Manifest
@@ -1 +1,2 @@
DIST rspec-memory-1.0.3.tar.gz 5248 BLAKE2B cf2cb55a6c3d155a739f1cbe3f307016d9446f9edde8554b6336602b86d95a369b152a413426082061c68d2e4015c68d31a34d7d80706ba09986fb8c8952d670 SHA512 1077bd6cb73ada029fc42f820e42792b58f8e06feeda711725d6f2a7a2af9151f72330d3e5a9d0fa7493eeb42f65ddf02a93fac00f5e24f2596f7df0da9439a3
+DIST rspec-memory-1.0.4.tar.gz 9329 BLAKE2B e67f8c2a9b788dc606ba31667065910a8dc4e68bf7a6fd0866c75eeba61851d1a1d8f93068bfc8449906120edc22d465733852ba75e6978e7f39131077907c90 SHA512 2d5f5dcd17572e17a37b59c08f1a8e6f23aa5228fea127f3a7d92afc15b54c0b067c697b5817dcbe1b4bc4d3839eccda13928cea23d83c308e57f0d06d9321b1
diff --git a/dev-ruby/rspec-memory/rspec-memory-1.0.4.ebuild b/dev-ruby/rspec-memory/rspec-memory-1.0.4.ebuild
new file mode 100644
index 000000000000..e4cca004c196
--- /dev/null
+++ b/dev-ruby/rspec-memory/rspec-memory-1.0.4.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="RSpec helpers for checking memory allocations"
+HOMEPAGE="https://github.com/socketry/rspec-memory"
+SRC_URI="https://github.com/socketry/rspec-memory/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/rspec:3"
+
+all_ruby_prepare() {
+ sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ # Avoid test dependency on unpackaged covered
+ sed -i -e '/covered/ s:^:#:' spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/rspec-rails/Manifest b/dev-ruby/rspec-rails/Manifest
index 11cf9ff09b7a..8a2cb317b92d 100644
--- a/dev-ruby/rspec-rails/Manifest
+++ b/dev-ruby/rspec-rails/Manifest
@@ -1,5 +1,3 @@
DIST rspec-rails-5.1.2.tar.gz 157523 BLAKE2B b500aa53f8bd965f7b95e90403d46096073780fa4e318295bffba44211cfb9d5eab36549e6fc3afc144700a8224ebe808489959a172f1d9e76c43320b7022979 SHA512 f9ef3a3812590a7cd50bd34e9e6cd9669fab24736ac7693b3fffe3f8be9b8313e31b0c7b7571a735f20bc5d9194a94c2f447e69f6491190536b6534211e1b070
-DIST rspec-rails-6.0.0.tar.gz 161222 BLAKE2B feaff94148d8b33e17ae3de5b9636ba238381d46836bbeba8c6ddf03c1d7b84c0c9e78e13c6b5198342959433ca165c438007e45923a70cb23190d974b340506 SHA512 7b15a5f9313bb76e71a69f9158d64c662a4cef2f8aae7a20748281224a720d9f2555ec9eed3ebd3aa30ba21608d6492caf14fefdd14a84ea765a4e60439830f2
-DIST rspec-rails-6.0.1.tar.gz 161289 BLAKE2B 80d91fe4c11848fa3625c1469dc14064dfdd93c54281c9dcaf71a845dc2b07ba8b290f045a59839d301278103d9e241c99781058886f1d792db3a7d8de80dd26 SHA512 a797dea121d902bb43add4d35e9a6d324cf52f28acea83ae4dd7a69e33e8fd531857f175a35869391c82900f55182ec4c2519667b04234fec54dc99b510a85e8
DIST rspec-rails-6.0.2.tar.gz 161156 BLAKE2B d76836190225337e619ff56679a1096eccdbb0490cc20954770fdeafa8ced0ed7dfe7e8e9cb7ae4915bda79ced6e3bfe3b4623b11b4d049e7a5011acec6e5510 SHA512 cc2aa476e0d14cdcb6de2e7a254a666161bc0a0b7bca54001329e09ed27c10b9ba12c30352ce37e73af3a32bcf7e17569699b35e90c7f753085c79c43f69d737
DIST rspec-rails-6.0.3.tar.gz 161663 BLAKE2B 02fdd54524e469387264013e5da9035014533b01ba1164ffe8e3038679585af0943ad82c074f987230b98f837395e57817134466ad33e02c42650dd3ebafb707 SHA512 cf0e34fbc8f653713dd1ba184f01c9ad33ea8739b8c46d5e377387b7c6fc0ebc7999d1a7abbb0581735297ff8a3aa9c665d13616a1eefd6abd4a85cd657203d5
diff --git a/dev-ruby/rspec-rails/rspec-rails-6.0.0.ebuild b/dev-ruby/rspec-rails/rspec-rails-6.0.0.ebuild
deleted file mode 100644
index 3b74b2332a99..000000000000
--- a/dev-ruby/rspec-rails/rspec-rails-6.0.0.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-USE_RUBY="ruby27 ruby30"
-
-RUBY_FAKEGEM_RECIPE_TEST="rspec3"
-
-#RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
-
-RUBY_FAKEGEM_GEMSPEC="rspec-rails.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="RSpec's official Ruby on Rails plugin"
-HOMEPAGE="https://rspec.info/"
-SRC_URI="https://github.com/rspec/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64"
-IUSE=""
-
-ruby_add_rdepend "
- || ( dev-ruby/activesupport:7.0 dev-ruby/activesupport:6.1 )
- || ( dev-ruby/actionpack:7.0 dev-ruby/actionpack:6.1 )
- || ( dev-ruby/railties:7.0 dev-ruby/railties:6.1 )
- >=dev-ruby/rspec-3.11:3"
-
-# Depend on the package being already installed for tests, because
-# requiring ammeter will load it, and we need a consistent set of rspec
-# and rspec-rails for that to work.
-ruby_add_bdepend "test? (
- >=dev-ruby/capybara-2.2.0
- >=dev-ruby/ammeter-1.1.5
- ~dev-ruby/rspec-rails-${PV}
-)"
-
-all_ruby_prepare() {
- # Remove .rspec options to avoid dependency on newer rspec when
- # bootstrapping.
- echo "--require spec_helper" > .rspec || die
-
- # Avoid bundler-specific specs.
- rm -f spec/sanity_check_spec.rb || die
-
- # Avoid broken controller generator specs for now.
- rm -fr spec/generators/rspec || die
-
- # Test with a compatible rails version
- #sed -i -e '1igem "rails", "<7.0"' spec/spec_helper.rb || die
-
- # Fix gemspec.
- sed -e 's/git ls-files --/find */' \
- -i ${RUBY_FAKEGEM_GEMSPEC} || die
-}
diff --git a/dev-ruby/rspec-rails/rspec-rails-6.0.1.ebuild b/dev-ruby/rspec-rails/rspec-rails-6.0.1.ebuild
deleted file mode 100644
index 41b8a0ee96f0..000000000000
--- a/dev-ruby/rspec-rails/rspec-rails-6.0.1.ebuild
+++ /dev/null
@@ -1,58 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-USE_RUBY="ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_RECIPE_TEST="rspec3"
-
-#RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
-
-RUBY_FAKEGEM_GEMSPEC="rspec-rails.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="RSpec's official Ruby on Rails plugin"
-HOMEPAGE="https://rspec.info/"
-SRC_URI="https://github.com/rspec/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1)"
-KEYWORDS="~amd64"
-IUSE=""
-
-ruby_add_rdepend "
- || ( dev-ruby/activesupport:7.0 dev-ruby/activesupport:6.1 )
- || ( dev-ruby/actionpack:7.0 dev-ruby/actionpack:6.1 )
- || ( dev-ruby/railties:7.0 dev-ruby/railties:6.1 )
- >=dev-ruby/rspec-3.11:3"
-
-# Depend on the package being already installed for tests, because
-# requiring ammeter will load it, and we need a consistent set of rspec
-# and rspec-rails for that to work.
-ruby_add_bdepend "test? (
- >=dev-ruby/capybara-2.2.0
- >=dev-ruby/ammeter-1.1.5
- ~dev-ruby/rspec-rails-${PV}
-)"
-
-all_ruby_prepare() {
- # Remove .rspec options to avoid dependency on newer rspec when
- # bootstrapping.
- echo "--require spec_helper" > .rspec || die
-
- # Avoid bundler-specific specs.
- rm -f spec/sanity_check_spec.rb || die
-
- # Avoid broken controller generator specs for now.
- rm -fr spec/generators/rspec || die
-
- # Test with a compatible rails version
- #sed -i -e '1igem "rails", "<7.0"' spec/spec_helper.rb || die
-
- # Fix gemspec.
- sed -e 's/git ls-files --/find */' \
- -i ${RUBY_FAKEGEM_GEMSPEC} || die
-}
diff --git a/dev-ruby/ruby-net-ldap/Manifest b/dev-ruby/ruby-net-ldap/Manifest
index 57346dfd89a3..46734f7afad0 100644
--- a/dev-ruby/ruby-net-ldap/Manifest
+++ b/dev-ruby/ruby-net-ldap/Manifest
@@ -1,2 +1 @@
-DIST ruby-net-ldap-0.17.1.tar.gz 92746 BLAKE2B 785791c1e96002c92d6e4a78867870d36011faad5fd9bac4af4c34eea0c4bbd5526291023684c30ddf4c7bdee46ad2c9b98211d103d88d6fda6b2195f0d6e6c4 SHA512 af36095c57b9d142faf5435430a9de63a5c5bcca8fa58e5a431e49097328d882121523864936ef1388254e9ffc9b40718ed5b5b9c335d1f79bac9da955e9ec4d
DIST ruby-net-ldap-0.18.0.tar.gz 94296 BLAKE2B 92c7f36ac94e9822f99931f58de83f05ca949c8f38482846c1bb0e4b43ed3b08799160643c720de8d724091c031c09926818e6199f32535a6033b636ea38fd5d SHA512 21b8241d3eef6f75f2f552af1df169d748e89948aba3527659a54cc3c4da5d6efcba41269c0ee40f6651adb363d0c7082dae71c3efc11cc65d103e1236e7d6d1
diff --git a/dev-ruby/ruby-net-ldap/ruby-net-ldap-0.17.1.ebuild b/dev-ruby/ruby-net-ldap/ruby-net-ldap-0.17.1.ebuild
deleted file mode 100644
index 574d1109733d..000000000000
--- a/dev-ruby/ruby-net-ldap/ruby-net-ldap-0.17.1.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-# Tests fail with >=ruby31: https://github.com/ruby-ldap/ruby-net-ldap/issues/409
-USE_RUBY="ruby27 ruby30"
-
-RUBY_FAKEGEM_TASK_TEST="test spec"
-RUBY_FAKEGEM_EXTRADOC="Contributors.rdoc History.rdoc README.rdoc"
-
-RUBY_FAKEGEM_NAME="net-ldap"
-
-RUBY_FAKEGEM_GEMSPEC="net-ldap.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Pure ruby LDAP client implementation"
-HOMEPAGE="https://github.com/ruby-ldap/ruby-net-ldap"
-SRC_URI="https://github.com/ruby-ldap/ruby-net-ldap/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-LICENSE="MIT"
-
-KEYWORDS="~amd64 ~x86"
-SLOT="0"
-IUSE="test"
-
-ruby_add_bdepend "test? ( >=dev-ruby/flexmock-1.3.0 )"
-
-all_ruby_prepare() {
- sed -i -e "s:_relative ': './:" ${RUBY_FAKEGEM_GEMSPEC} || die
-}
-
-each_ruby_test() {
- ${RUBY} -Ilib:test:. -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
-}